import javax.microedition.midlet.MIDletStateChangeException;

import lancs.mobilemedia.core.ui.controller.AlbumController;
import lancs.mobilemedia.core.ui.controller.BaseController;
import lancs.mobilemedia.core.ui.controller.MediaListController;

class MainUIMidlet {
	private BaseController imageRootController;
	private AlbumData imageModel;
	private AlbumListScreen album;
	private AlbumController albumController;
	
	public void startApp() throws MIDletStateChangeException {
		imageModel = new ImageAlbumData();

		 album = new AlbumListScreen();
		imageRootController = new BaseController(this, imageModel, album);
		
		// initialize sub-controllers
		MediaListController photoListController = new MediaListController(this, imageModel, album);
		photoListController.setNextController(imageRootController);
		
		albumController = new AlbumController(this, imageModel, album);
		albumController.setNextController(photoListController);
		album.setCommandListener(albumController);
		
		original();
	}
}
