import javax.microedition.midlet.MIDletStateChangeException;

import lancs.mobilemedia.core.ui.controller.AlbumController;
import lancs.mobilemedia.core.ui.controller.BaseController;
import lancs.mobilemedia.core.ui.controller.MediaListController;
import lancs.mobilemedia.core.ui.datamodel.AlbumData;
import lancs.mobilemedia.core.ui.datamodel.MusicAlbumData;
import lancs.mobilemedia.core.ui.screens.AlbumListScreen;

class MainUIMidlet {

	private BaseController musicRootController;
	private AlbumData musicModel;
	private AlbumListScreen albumMusic;

	public void startApp() throws MIDletStateChangeException {
		musicModel = new MusicAlbumData();

		albumMusic = new AlbumListScreen();
		musicRootController = new BaseController(this, musicModel, albumMusic);

		MediaListController musicListController = new MediaListController(this,
				musicModel, albumMusic);
		musicListController.setNextController(musicRootController);

		AlbumController albumMusicController = new AlbumController(this,
				musicModel, albumMusic);
		albumMusicController.setNextController(musicListController);
		albumMusic.setCommandListener(albumMusicController);
		original();
	}

}