package lancs.mobilemedia.core.ui.controller;

import lancs.mobilemedia.core.ui.datamodel.AccessController;
import lancs.mobilemedia.core.ui.screens.AccessDeniedScreen;

class MediaController {

	private MediaData media;

	public boolean handleCommand(Command command) {
		String label = command.getLabel();
		if (label.equals("Delete Label")) {
			if (!AccessController.hasDeleteRights()) {
				gotoAccessDeniedScreen();
				return true;
			}
		}
		if (label.equals("Add") || label.equals("Edit Label")) {
			if (!AccessController.hasWriteRights()) {
				gotoAccessDeniedScreen();
				return true;
			}
		}
		return original(command);
	}

	private void gotoAccessDeniedScreen() {
		AccessDeniedScreen form = new AccessDeniedScreen();
		setCurrentScreen(form);
	}

}