import lancs.mobilemedia.core.ui.datamodel.MediaData;
import lancs.mobilemedia.core.ui.screens.AddMediaToAlbum;
import lancs.mobilemedia.lib.exceptions.InvalidImageDataException;
import lancs.mobilemedia.lib.exceptions.PersistenceMechanismException;

class PhotoViewController {

	private void processImage(byte[] imgByte, MediaData imageData,
			String photoname, String albumname)
			throws InvalidImageDataException, PersistenceMechanismException {

		original(imgByte, imageData, photoname, albumname);

		if ((imgByte == null) || (imgByte.length == 0)) {
			imageData.setMediaLabel(photoname);
			getAlbumData().addMediaData(imageData, albumname);
		}
	}
}
